﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Infragistics.Windows.DataPresenter;

namespace xamDataGrid
{
    public class GroupedCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;
        private Infragistics.Windows.DataPresenter.Events.GroupedEventArgs args;

        public GroupedCommand()
        {

        }

        public GroupedCommand(Infragistics.Windows.DataPresenter.Events.GroupedEventArgs args)
        {
            // TODO: Complete member initialization
            this.args = args;
        }

        public void Execute(object parameter)
        {
            if (this.args.Groups.Count() == 0)
            {
                XamDataGrid xamDataGrid1 = (XamDataGrid)parameter;
                xamDataGrid1.GroupByAreaLocation = GroupByAreaLocation.None;
            }
        }
    }
}
